#ifndef NYPIZZASTORE_H_
#define NYPIZZASTORE_H_

#include "Pizza.h"
#include "PizzaStore.h"
#include "NYStylePizza.h"

class NYPizzaStore : public PizzaStore
{
public:
    Pizza *create_pizza(const Type type)
    {
        switch (type)
        {
            case Type::CHEESE:    return new NYStyleCheesePizza();
            case Type::VEGGIE:    return new NYStyleVeggiePizza();
            case Type::CLAM:      return new NYStyleClamPizza();
            case Type::PEPPERONI: return new NYStylePepperoniPizza();

            default: return nullptr;
        }
    }
};

#endif /* NYPIZZASTORE_H_ */
