#include <iostream>
#include "Pizza.h"
#include "PizzaStore.h"
#include "NYPizzaStore.h"
#include "ChicagoPizzaStore.h"

using namespace std;

int main()
{
    PizzaStore *ny_store      = new NYPizzaStore();
    PizzaStore *chicago_store = new ChicagoPizzaStore();

    Pizza *pizza = ny_store->order_pizza(Type::CHEESE);
    cout << "Ethan ordered a " << pizza->get_name() << endl << endl;

    pizza = chicago_store->order_pizza(Type::CHEESE);
    cout << "Joel ordered a " << pizza->get_name() << endl << endl;

    pizza = ny_store->order_pizza(Type::CLAM);
    cout << "Ethan ordered a " << pizza->get_name() << endl << endl;

    pizza = chicago_store->order_pizza(Type::CLAM);
    cout << "Joel ordered a " << pizza->get_name() << endl << endl;

    pizza = ny_store->order_pizza(Type::PEPPERONI);
    cout << "Ethan ordered a " << pizza->get_name() << endl << endl;

    pizza = chicago_store->order_pizza(Type::PEPPERONI);
    cout << "Joel ordered a " << pizza->get_name() << endl << endl;

    pizza = ny_store->order_pizza(Type::VEGGIE);
    cout << "Ethan ordered a " << pizza->get_name() << endl << endl;

    pizza = chicago_store->order_pizza(Type::VEGGIE);
    cout << "Joel ordered a " << pizza->get_name() << endl << endl;

    return 0;
}
